#include <AVCVideoServices/AVCVideoServices.h>


bool AVS::AVCDevice::isOpened(){};

IOReturn  AVS::AVCDevice::openDevice(AVCDeviceMessageNotification deviceMessageProc, void *pMessageProcRefCon){};

AVS::AVCDeviceStream* AVS::AVCDevice::CreateDVTransmitterForDevicePlug(UInt8 deviceInputPlugNum,
												   AVS::DVFramePullProc framePullProcHandler,
												   void *pFramePullProcRefCon,
												  AVS:: DVFrameReleaseProc frameReleaseProcHandler,
												   void *pFrameReleaseProcRefCon ,
												   AVS::DVTransmitterMessageProc messageProcHandler,
												   void *pMessageProcRefCon,
												   AVS::StringLogger *stringLogger,
												   unsigned int cyclesPerSegment ,
												   unsigned int numSegments,
												   UInt8 transmitterDVMode,
												   UInt32 numFrameBuffers ){};


IOReturn AVS::AVCDevice::closeDevice(){};

IOReturn AVS::AVCDevice::StopAVCDeviceStream(AVCDeviceStream *pAVCDeviceStream){};

IOReturn AVS::AVCDevice::StartAVCDeviceStream(AVCDeviceStream *pAVCDeviceStream){};

IOReturn AVS::AVCDevice::DestroyAVCDeviceStream(AVCDeviceStream *pAVCDeviceStream){};
